## Get all cancellation reasons

### cURL

```bash
curl --request GET \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/cancellation-reasons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Responses

#### HTTP Status Codes

- **200**:  
  ```json
  {
    "responseStatus": "OK",
    "message": "Request processed successfully",
    "data": [
      {
        "_id": "<string>",
        "createdAt": "2021-10-12T21:35:05.756Z",
        "updatedAt": "2021-10-14T05:40:55.997Z",
        "code": 99,
        "reason": "Customer is not happy"
      }
    ]
  }
  ```

- **403**:  
  ```json
  {
    "Message": "User is not authorized to access this resource with an explicit deny"
  }
  ```

### Authorizations

- **Authorization**: string (header)
  - Required: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Response

#### 200
**Content-Type**: application/json  
**Description**: Request processed successfully

- **responseStatus**: string  
  - Example:  
    - "OK"

- **message**: string  
  - Example:  
    - "Request processed successfully"

- **data**: object[]  
  - Cancellation reason details.
